@echo off
;
rem TESTDEF.DAT 0x1234, 128 bytes
;
rem Read TESTDEF.DAT file in raw,
REM convert to compressed and back to raw,
REM then compare testdef.dat and temp.dat, they Should be same size
;
rem delete temporary files
if exist temp.dat del temp.dat
if exist temp.bin del temp.bin
;
rem copy the default packet format page file
copy page0000.def page0000.bin
;
echo converting testdef.dat to compressed binary temp..bin
pktredu infile:testdef.dat outfile:temp.bin info:raw outfo:compressed ev:1
pause
;
echo converting compressed binary temp.bin to raw binary temp.dat
pktredu infile:temp.bin outfile:temp.dat info:compressed outfo:raw ev:1
dir testdef.dat
dir temp.dat
echo testdef.dat and temp.dat should be of the same size
pause
;
echo TESTDEF.DAT finished
;
